#ifndef SYSTEME_H
#define SYSTEME_H

#include <QFile>
#include <QObject>
#include <QProcess>
#include <QThread>

class Systeme : public QObject
{
    Q_OBJECT


public:
    Systeme();

    Q_INVOKABLE QStringList lecture_fichier(QString fichier);
    Q_INVOKABLE qint8 ecriture_fichier(QString fichier, QStringList lignes);
    Q_INVOKABLE QString commande_shell(QString commande, QString fichier_sortie);
    Q_INVOKABLE void commande_shell_non_bloquante(QString commande);
};


#endif // SYSTEME_H




